import 'dart:ui' show Color;

extension IDKitInt on int {
  /// Elements of Uint32List to color.
  Color get uInt32toColor {
    final int r = this & 0xff;
    final int g = (this >> 8) & 0xff;
    final int b = (this >> 16) & 0xff;
    final int a = (this >> 24) & 0xff;
    return Color.fromARGB(a, r, g, b);
  }
}
