extension IDKitIterable<T> on Iterable<T> {
  /// Traversal with indexed values.
  void iFor(Function(int index, T element) ifor) {
    int i = 0;
    while (i < length) {
      final T element = elementAt(i);
      ifor.call(i, element);
      i++;
    }
  }
}
